diff --git a/conf.d/40-nonlatin.conf b/conf.d/40-nonlatin.conf
index c900fd4..135dc57 100644
--- a/conf.d/40-nonlatin.conf
+++ b/conf.d/40-nonlatin.conf
@@ -42,6 +42,42 @@
 		<default><family>serif</family></default>
 	</alias>
 	<alias>
+		<family>HG-PMinchoL-Sun</family>
+		<default><family>serif</family></default>
+	</alias>
+	<alias>
+		<family>HG-MinchoL-Sun</family>
+		<default><family>serif</family></default>
+	</alias>
+	<alias>
+		<family>IPAPMincho</family>
+		<default><family>serif</family></default>
+	</alias>
+	<alias>
+		<family>IPAMincho</family>
+		<default><family>serif</family></default>
+	</alias>
+	<alias>
+		<family>FZSongTi</family>
+		<default><family>serif</family></default>
+	</alias>
+	<alias>
+		<family>FZMingTi</family>
+		<default><family>serif</family></default>
+	</alias>
+	<alias>
+		<family>KacstQurn</family>
+		<default><family>serif</family></default>
+	</alias>
+	<alias>
+		<family>SunDotum</family>
+		<default><family>serif</family></default>
+	</alias>
+	<alias>
+		<family>AR PL ShanHeiSun Uni</family>
+		<default><family>serif</family></default>
+	</alias>
+	<alias>
 		<family>Kochi Mincho</family>
 		<default><family>serif</family></default>
 	</alias>
@@ -129,6 +165,38 @@
 		<default><family>sans-serif</family></default>
 	</alias>
 	<alias>
+		<family>HG-PGothicB-Sun</family>
+		<default><family>sans-serif</family></default>
+	</alias>
+	<alias>
+		<family>HG-GothicB-Sun</family>
+		<default><family>sans-serif</family></default>
+	</alias>
+	<alias>
+		<family>IPAPGothic</family>
+		<default><family>sans-serif</family></default>
+	</alias>
+	<alias>
+		<family>IPAGothic</family>
+		<default><family>sans-serif</family></default>
+	</alias>
+	<alias>
+		<family>FZSongTi</family>
+		<default><family>sans-serif</family></default>
+	</alias>
+	<alias>
+		<family>FZMingTi</family>
+		<default><family>sans-serif</family></default>
+	</alias>
+	<alias>
+		<family>KacstQurn</family>
+		<default><family>sans-serif</family></default>
+	</alias>
+	<alias>
+		<family>SunDotum</family>
+		<default><family>sans-serif</family></default>
+	</alias>
+	<alias>
 		<family>Kochi Gothic</family>
 		<default><family>sans-serif</family></default>
 	</alias>
@@ -180,6 +248,10 @@
   Monospace faces
  -->
 	<alias>
+		<family>SunDotumChe</family>
+		<default><family>monospace</family></default>
+	</alias>
+	<alias>
 		<family>NSimSun</family>
 		<default><family>monospace</family></default>
 	</alias>
diff --git a/conf.d/45-latin.conf b/conf.d/45-latin.conf
index 5228945..105ef75 100644
--- a/conf.d/45-latin.conf
+++ b/conf.d/45-latin.conf
@@ -42,6 +42,10 @@
 		<default><family>serif</family></default>
 	</alias>
 	<alias>
+		<family>Lucida Bright</family>
+		<default><family>serif</family></default>
+	</alias>
+	<alias>
 		<family>Luxi Serif</family>
 		<default><family>serif</family></default>
 	</alias>
@@ -149,6 +153,10 @@
 		<default><family>sans-serif</family></default>
 	</alias>
 	<alias>
+		<family>Lucida Sans</family>
+		<default><family>sans-serif</family></default>
+	</alias>
+	<alias>
 		<family>Luxi Sans</family>
 		<default><family>sans-serif</family></default>
 	</alias>
@@ -216,6 +224,10 @@
 		<default><family>monospace</family></default>
 	</alias>
 	<alias>
+		<family>Lucida Sans Typewriter</family>
+		<default><family>monospace</family></default>
+	</alias>
+	<alias>
 		<family>Luxi Mono</family>
 		<default><family>monospace</family></default>
 	</alias>
diff --git a/conf.d/65-nonlatin.conf b/conf.d/65-nonlatin.conf
index 9306f74..f726170 100644
--- a/conf.d/65-nonlatin.conf
+++ b/conf.d/65-nonlatin.conf
@@ -4,6 +4,7 @@
 	<alias>
 		<family>serif</family>
 		<prefer>
+			<family>EUDC</family>
 			<family>Artsounk</family> <!-- armenian -->
 			<family>BPG UTF8 M</family> <!-- georgian -->
 			<family>Kinnari</family> <!-- thai -->
@@ -26,17 +27,23 @@
 			<family>MS Mincho</family> <!-- han (ja) -->
 			<family>SimSun</family> <!-- han (zh-cn,zh-tw) -->
 			<family>PMingLiu</family> <!-- han (zh-tw) -->
-			<family>WenQuanYi Zen Hei</family> <!-- han (zh-cn,zh-tw) -->
-			<family>WenQuanYi Bitmap Song</family> <!-- han (zh-cn,zh-tw) -->
-			<family>AR PL ShanHeiSun Uni</family> <!-- han (ja,zh-cn,zh-tw) -->
-			<family>AR PL New Sung</family> <!-- han (zh-cn,zh-tw) -->
 			<family>ZYSong18030</family> <!-- han (zh-cn,zh-tw) -->
 			<family>HanyiSong</family> <!-- han (zh-cn,zh-tw) -->
 			<family>MgOpen Canonica</family>
-			<family>Sazanami Mincho</family>
+			<family>HG-PMinchoL-Sun</family>
+			<family>HG-MinchoL-Sun</family>
 			<family>IPAMonaMincho</family>
+			<family>IPAPMincho</family>
 			<family>IPAMincho</family>
-			<family>Kochi Mincho</family>
+			<family>Sazanami Mincho</family>
+			<family>Sazanami Gothic</family>
+			<family>FZSongTi</family>
+			<family>FZMingTi</family>
+			<family>KacstQurn</family>
+			<family>WenQuanYi Zen Hei</family> <!-- han (zh-cn,zh-tw) -->
+			<family>WenQuanYi Bitmap Song</family> <!-- han (zh-cn,zh-tw) -->
+			<family>AR PL ShanHeiSun Uni</family> <!-- han (ja,zh-cn,zh-tw) -->
+			<family>AR PL New Sung</family> <!-- han (zh-cn,zh-tw) -->
 			<family>AR PL SungtiL GB</family>
 			<family>AR PL Mingti2L Big5</family>
  			<family>AR PL Zenkai Uni</family>
@@ -64,11 +71,14 @@
  			<family>Lohit Telugu</family>
  			<family>Lohit Oriya</family>
  			<family>LKLUG</family>
+			<family>SunDotum</family>
+			<family>Gothic</family>
 		</prefer>
 	</alias>
 	<alias>
 		<family>sans-serif</family>
 		<prefer>
+			<family>EUDC</family>
 			<family>Nachlieli</family> <!-- hebrew -->
 			<family>Lucida Sans Unicode</family>
 			<family>Yudit Unicode</family>
@@ -99,19 +109,23 @@
 			<!-- chinese fonts are actually serifed -->
 			<family>SimSun</family> <!-- han (zh-cn,zh-tw) -->
 			<family>PMingLiu</family> <!-- han (zh-tw) -->
-			<family>WenQuanYi Zen Hei</family> <!-- han (zh-cn,zh-tw) -->
-			<family>WenQuanYi Bitmap Song</family> <!-- han (zh-cn,zh-tw) -->
-			<family>AR PL ShanHeiSun Uni</family> <!--han (ja,zh-cn,zh-tw) -->
-			<family>AR PL New Sung</family> <!-- han (zh-cn,zh-tw) -->
 			<family>MgOpen Modata</family>
 			<family>VL Gothic</family>
+			<family>HG-PGothicB-Sun</family>
+			<family>HG-GothicB-Sun</family>
 			<family>IPAMonaGothic</family>
+			<family>IPAPGothic</family>
 			<family>IPAGothic</family>
 			<family>Sazanami Gothic</family>
-			<family>Kochi Gothic</family>
+                        <family>FZSongTi</family>
+                        <family>FZMingTi</family>
+                        <family>KacstQurn</family>
 			<family>AR PL KaitiM GB</family>
 			<family>AR PL KaitiM Big5</family>
- 			<family>AR PL ShanHeiSun Uni</family>
+			<family>WenQuanYi Zen Hei</family> <!-- han (zh-cn,zh-tw) -->
+                        <family>WenQuanYi Bitmap Song</family> <!-- han (zh-cn,zh-tw) -->
+                        <family>AR PL ShanHeiSun Uni</family> <!--han (ja,zh-cn,zh-tw) -->
+                        <family>AR PL New Sung</family> <!-- han (zh-cn,zh-tw) -->
  			<family>AR PL SungtiL GB</family>
  			<family>AR PL Mingti2L Big5</family>
 			<family>ＭＳ ゴシック</family>
@@ -139,17 +153,24 @@
  			<family>Lohit Telugu</family>
  			<family>Lohit Oriya</family>
  			<family>LKLUG</family>
+			<family>SunDotum</family>
+			<family>Gothic</family>
 		</prefer>
 	</alias>
 	<alias>
 		<family>monospace</family>
 		<prefer>
+			<family>EUDC</family>
 			<family>Miriam Mono</family> <!-- hebrew -->
 			<family>VL Gothic</family>
+			<family>HG-GothicB-Sun</family>
+			<family>HG-MinchoL-Sun</family>
 			<family>IPAMonaGothic</family>
 			<family>IPAGothic</family>
 			<family>Sazanami Gothic</family>
-			<family>Kochi Gothic</family>
+			<family>FZSongTi</family>
+                        <family>FZMingTi</family>
+                        <family>KacstQurn</family>
 			<family>AR PL KaitiM GB</family>
 			<family>MS Gothic</family> <!-- han (ja) -->
 			<family>UmePlus Gothic</family> <!-- han (ja) -->
@@ -163,7 +184,6 @@
 			<family>ZYSong18030</family> <!-- han (zh-cn,zh-tw) -->
 			<family>NanumGothicCoding</family> <!-- hangul (ko) -->
 			<family>NanumGothic</family> <!-- hangul (ko) -->
-			<family>UnDotum</family> <!-- hangul (ko) -->
 			<family>Baekmuk Dotum</family> <!-- hangul (ko) -->
 			<family>Baekmuk Gulim</family> <!-- hangul (ko) -->
 			<family>TlwgTypo</family> <!-- thai -->
@@ -191,6 +211,10 @@
 			<family>Lohit Telugu</family>
 			<family>Lohit Oriya</family>
 			<family>LKLUG</family>
+			<family>SunDotumChe</family>
+                        <family>UnBatang</family>
+                        <family>UnDotum</family>
+                        <family>Gothic</family>
 		</prefer>
 	</alias>
 </fontconfig>
